QueryFirewallRule
QueryFirewallRule
/zstack/v1/vpcfirewalls/rules/zstack/v1/vpcfirewalls/rules/{uuid}Operation ID
QueryFirewallRuleSince
3.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Query Parameters
qStringQuery conditions.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoriesListRequiredSee inventories.
uuidStringRequiredThe firewall rule UUID.
ruleSetUuidStringRequiredThe ruleset UUID.
destPortStringRequiredThe destination port.
sourcePortStringRequiredThe source port.
sourceIpStringRequiredThe source IP address.
destIpStringRequiredThe destination IP address.
ruleNumberIntegerRequiredThe priority of the rule.
allowStatesStringRequiredThe allow status of data packets.
tcpFlagStringRequiredThe TCP flag.
icmpTypeNameStringRequiredThe ICMP type.
isDefaultbooleanRequiredIndicates whether the rule is applied.
isAppliedbooleanRequiredIndicates whether the rule is expired.
expiredbooleanRequiredIndicates whether the rule is a system rule.
descriptionStringRequiredThe detailed description of the rule.
createDateTimestampRequiredThe time when the rule was created.
lastOpDateTimestampRequiredThe time when the rule was last modified.
actionActionTypeRequiredSee action.
dropActionTypeRequiredThe drop.
rejectActionTypeRequiredThe reject.
acceptActionTypeRequiredThe accept.
protocolProtocolTypeRequiredSee protocol.
tcp_udpProtocolTypeRequiredThe tcp udp.
allProtocolTypeRequiredThe all.
ahProtocolTypeRequiredThe ah.
ax.25ProtocolTypeRequiredThe ax 25.
dccpProtocolTypeRequiredThe dccp.
ddpProtocolTypeRequiredThe ddp.
egpProtocolTypeRequiredThe egp.
eigrpProtocolTypeRequiredThe eigrp.
encapProtocolTypeRequiredThe encap.
espProtocolTypeRequiredThe esp.
etheripProtocolTypeRequiredThe etherip.
fcProtocolTypeRequiredThe fc.
ggpProtocolTypeRequiredThe ggp.
greProtocolTypeRequiredThe gre.
hipProtocolTypeRequiredThe hip.
hmpProtocolTypeRequiredThe hmp.
icmpProtocolTypeRequiredThe icmp.
ipdr-cmtpProtocolTypeRequiredThe ipdr cmtp.
idprProtocolTypeRequiredThe idpr.
igmpProtocolTypeRequiredThe igmp.
igpProtocolTypeRequiredThe igp.
ipProtocolTypeRequiredThe IP address.
ipcompProtocolTypeRequiredThe ipcomp.
ipencapProtocolTypeRequiredThe ipencap.
ipipProtocolTypeRequiredThe ipip.
isisProtocolTypeRequiredThe isis.
iso-tp4ProtocolTypeRequiredThe ISO tp 4.
l2tpProtocolTypeRequiredThe L2 tp.
manetProtocolTypeRequiredThe manet.
mpls-in-ipProtocolTypeRequiredThe mpls in IP.
ospfProtocolTypeRequiredThe ospf.
pimProtocolTypeRequiredThe pim.
pupProtocolTypeRequiredThe pup.
rdpProtocolTypeRequiredThe rdp.
rohcProtocolTypeRequiredThe rohc.
rspfProtocolTypeRequiredThe rspf.
rsvpProtocolTypeRequiredThe rsvp.
sctpProtocolTypeRequiredThe sctp.
skipProtocolTypeRequiredThe skip.
stProtocolTypeRequiredThe st.
tcpProtocolTypeRequiredThe tcp.
udpProtocolTypeRequiredThe udp.
udpliteProtocolTypeRequiredThe udplite.
vmtpProtocolTypeRequiredThe vmtp.
vrrpProtocolTypeRequiredThe vrrp.
wespProtocolTypeRequiredThe wesp.
xns-idpProtocolTypeRequiredThe xns idp.
xtpProtocolTypeRequiredThe xtp.
stateFirewallRuleStateRequiredSee state.
disableFirewallRuleStateRequiredWhether the feature is disabled.
enableFirewallRuleStateRequiredWhether the feature is enabled.
